View Issue Details

IDProjectCategoryView StatusLast Update
0001645SymmetricDSBugpublic2014-03-16 10:31
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.18 
Target Version3.5.19Fixed in Version3.5.19 
Summary0001645: MySQL bulk loader does not load NULL
DescriptionThe bulk loader for MySQL writes a data file with an empty position for a field, but LOAD DATA INFILE does not interpret the data as a NULL. Instead, fields are loading as empty strings and getting data truncation errors on other fields. To fix, use the \N escape to indicate a NULL value.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 09b15c22

2014-03-14 17:18:46

erilong

Details Diff
0001645: MySQL bulk loader does not load NULL
0001645
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-csv/src/main/java/org/jumpmind/symmetric/csv/CsvWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File

Issue History

Date Modified Username Field Change
2014-03-14 17:13 elong New Issue
2014-03-14 17:13 elong Status new => assigned
2014-03-14 17:13 elong Assigned To => elong
2014-03-14 18:00 Changeset attached => SymmetricDS trunk r8065
2014-03-14 18:00 Changeset attached => SymmetricDS 3.5 r8066
2014-03-14 21:28 elong Status assigned => resolved
2014-03-14 21:28 elong Fixed in Version => 3.5.19
2014-03-14 21:28 elong Resolution open => fixed
2014-03-16 10:31 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 09b15c22